E-MailRelay

Static Public Member Functions | List of all members
GSmtp::VerifierFactory Class Reference

A factory for addresss verifiers. More...

`#include <gverifierfactory.h>`

## Static Public Member Functions
static std::unique_ptr< Verifier > | newVerifier (GNet::ExceptionSink, const std::string &identifier, unsigned int timeout)
| Returns a Verifier on the heap. More...
static std::string | check (const std::string &identifier)
| Checks an identifier. More...

## Detailed Description

A factory for addresss verifiers.

Definition at line 39 of file gverifierfactory.h.

## Member Function Documentation

## ◆ check()

std::string GSmtp::VerifierFactory::check | ( | const std::string & | identifier | ) |
| static

Checks an identifier.

Returns an empty string if okay, or a diagnostic reason string.

Definition at line 29 of file gverifierfactory.cpp.

## ◆ newVerifier()

std::unique_ptr< GSmtp::Verifier > GSmtp::VerifierFactory::newVerifier | ( | GNet::ExceptionSink | es,
|  | const std::string & | identifier,
|  | unsigned int | timeout
| ) |  |
| static

Returns a Verifier on the heap.

The identifier is normally prefixed with a verifier type, or it is the file system path of an exectuable.

Definition at line 34 of file gverifierfactory.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gverifierfactory.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gverifierfactory.cpp